Skip to content

Get a customer

GET
/api/v1/customers/{id}
curl --request GET \
--url https://example.com/api/v1/customers/example \
--header 'x-api-key: <x-api-key>'
id
required
string
Media typeapplication/json
object
id
required
string
stripeCustomerId
required
string
email
required
string
name
required
string
nullable
phone
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example generated

{
"id": "example",
"stripeCustomerId": "example",
"email": "example",
"name": "example",
"phone": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}